2

How do I install just the most recent version of the tikzmark package?

I tried to install texlive 2018, but it requires glibc 2.14, and my system (CentOS 6) only have glibc 2.12. I then installed the custom binaries for x86_64-linux-glibc2.12 but the system was unusable, nothing worked (e.g. IEEEtran), just the bare minimum (e.g. the article class). I reinstalled texlive 2016 and I am installing the more recent packages needed in my user texmf directory, but I don't know how to install the tikzmark package, as it is a library of the tikz package.

Thanks for any help.

1

I describe below what I have done to install the most recent version of the tikzmark package.

I have a tex file that needs the most recent version of the tikzmark package and generates an error when I try to compile with an old version of the package.

I searched in the log for "tikzmark" and discovered the file path for the package files already installed. In my system, /user/local/texlive/2016/texmf-dist/tex/latex/tikzmark/tikzlibrarytikzmark.code.tex.

I downloaded the package from CTAN, unzipped it, and generated the tikzlibrarytikzmark.code.tex and tikzmarklibrarylistings.code.tex library files through the command $ tex tikzmark.ins.

I then created my tex user directory by issuing the following command in the terminal: $ mkdir -p ~/texmf/tex/latex/tikzmark and moved the generated files to there.

Done!

Credits to @samcarter!

1

You can glibc 2.14 along with 2.12 following this post: How to update glibc to 2.14 in CentOS 6.5.

You can activate glibc 2.14 whenever you need by typing the last line given in the post.

export LD_LIBRARY_PATH=/opt/glibc-2.14/lib

So you can first install texlive 2018. Enter the above mentioned export command and then try pdflatex.

This method worked for me. I didn't think adding the line export LD_LIBRARY_PATH=/opt/glibc-2.14/lib to .bashrc was a good idea and hence I made another file .latexrc in the home folder and added this line there. Doing source ~/.latexrc makes the terminal ready for running texlive commands.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.